tbb::internal::atomic_impl< T >::converter< value_type > Union Template Reference

Union type used to convert type T to underlying integral type. More...

Collaboration diagram for tbb::internal::atomic_impl< T >::converter< value_type >:

## Public Types

typedef atomic_rep< sizeof(value_type)>::word | bits_type

## Public Member Functions

| converter ()
| converter (value_type a_value)

## Public Attributes

value_type | value
bits_type | bits

## Detailed Description

### template<typename T>
template<typename value_type>
union tbb::internal::atomic_impl< T >::converter< value_type >

Union type used to convert type T to underlying integral type.

Definition at line 237 of file atomic.h.

## Member Typedef Documentation

## bits_type

template<typename T >
template<typename value_type >

typedef atomic_rep<sizeof(value_type)>::word tbb::internal::atomic_impl< T >::converter< value_type >::bits_type

Definition at line 238 of file atomic.h.

## Constructor & Destructor Documentation

## converter() [1/2]

template<typename T >
template<typename value_type >

tbb::internal::atomic_impl< T >::converter< value_type >::converter | ( |  | ) |

inline

Definition at line 239 of file atomic.h.

{}

## converter() [2/2]

template<typename T >
template<typename value_type >

tbb::internal::atomic_impl< T >::converter< value_type >::converter | ( | value_type | a_value | ) |

inline

Definition at line 240 of file atomic.h.

: value(a_value) {}
tbb::internal::atomic_impl::converter::value
value_type value
Definition: atomic.h:241

## Member Data Documentation

## bits

template<typename T >
template<typename value_type >

bits_type tbb::internal::atomic_impl< T >::converter< value_type >::bits

Definition at line 242 of file atomic.h.

Referenced by tbb::internal::atomic_impl< T >::to_bits(), and tbb::internal::atomic_impl< T >::to_value().

## value

template<typename T >
template<typename value_type >

value_type tbb::internal::atomic_impl< T >::converter< value_type >::value

Definition at line 241 of file atomic.h.

Referenced by tbb::internal::atomic_impl< T >::to_value().

The documentation for this union was generated from the following file:

- atomic.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.